Package com.salesforce.datacloud.jdbc.exception

## Class DataCloudJDBCException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.salesforce.datacloud.jdbc.exception.DataCloudJDBCException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class DataCloudJDBCException
    extends SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DataCloudJDBCException()`
`DataCloudJDBCException​(String reason)`
`DataCloudJDBCException​(String reason, String SQLState)`
`DataCloudJDBCException​(String reason, String SQLState, int vendorCode)`
`DataCloudJDBCException​(String reason, String SQLState, int vendorCode, Throwable cause)`
`DataCloudJDBCException​(String reason, String SQLState, String customerHint, String customerDetail, Throwable cause)`
`DataCloudJDBCException​(String reason, String SQLState, Throwable cause)`
`DataCloudJDBCException​(String reason, Throwable cause)`
`DataCloudJDBCException​(Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCustomerDetail()`
`String` `getCustomerHint()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DataCloudJDBCException

    public DataCloudJDBCException()

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason)

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason,
                                  String SQLState)

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason,
                                  String SQLState,
                                  int vendorCode)

#### DataCloudJDBCException

    public DataCloudJDBCException​(Throwable cause)

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason,
                                  Throwable cause)

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason,
                                  String SQLState,
                                  Throwable cause)

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason,
                                  String SQLState,
                                  int vendorCode,
                                  Throwable cause)

#### DataCloudJDBCException

    public DataCloudJDBCException​(String reason,
                                  String SQLState,
                                  String customerHint,
                                  String customerDetail,
                                  Throwable cause)

### Method Detail

#### getCustomerHint

    public String getCustomerHint()

#### getCustomerDetail

    public String getCustomerDetail()